Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.builders
Class ContractBuilder

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.builders.ContractBuilder

    public final class ContractBuilder

extends Object

Builder for a contract

Nested Class Summary
`static interface` | `ContractBuilder.BuildStep<T extends Contract>`
`static interface` | `ContractBuilder.ContactDataStep<T extends Contract>`
`static interface` | `ContractBuilder.ContactDataStep1<T extends Contract>`
`static interface` | `ContractBuilder.ContactDataStep2<T extends Contract>`
`static interface` | `ContractBuilder.ContactDataStep3<T extends Contract>`
`static interface` | `ContractBuilder.ContractBuilderStep` Step for selecting the correct contract type.
`static interface` | `ContractBuilder.CreateStep<T extends Contract>`
`static interface` | `ContractBuilder.LanguageChoiceStep<T extends Contract>`
`static interface` | `ContractBuilder.OrganizationChoiceStep1<T extends Contract>`
`static interface` | `ContractBuilder.OrganizationChoiceStep2<T extends Contract>`
`static interface` | `ContractBuilder.OrganizationChoiceStep3<T extends Contract>`
`static interface` | `ContractBuilder.Pkcs10GenerationStep<T extends Contract>`
`static interface` | `ContractBuilder.RenewStep<T extends Contract>`
`static interface` | `ContractBuilder.RevokeReasonDetailStep<T extends Contract>`
`static interface` | `ContractBuilder.RevokeReasonStep<T extends Contract>`
`static interface` | `ContractBuilder.RevokeStep<T extends Contract>`
`static interface` | `ContractBuilder.UsageTypeStep<T extends Contract>`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.